package de.workshopsoftwarearchitektur.mmdemo.basemodel;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class CD {

	private String title;

	private String artist;

	private List<Track> tracks = new ArrayList<Track>(20);

	protected CD() {
	}

	public CD(String title, String artist, Track... tracks) {
		this.title = title;
		this.artist = artist;
		this.tracks.addAll(Arrays.asList(tracks));
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getArtist() {
		return artist;
	}

	public void setArtist(String artist) {
		this.artist = artist;
	}

	public List<Track> getTracks() {
		return tracks;
	}

	public void setTracks(List<Track> tracks) {
		this.tracks = tracks;
	}
	
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(String.format("%s - %s:%n", getArtist(), getTitle()));
		for (Track t : getTracks())
			result.append(t.toString());
		return result.toString();
	}

}
